#ifndef TESTARRAYRANGEEXCEPTION_H_
#define TESTARRAYRANGEEXCEPTION_H_

#include <cxxtest/TestSuite.h>
#include <string>

#include "ArrayRangeException.h"

class TestArrayRangeException: public CxxTest::TestSuite {
public:
	void testArrayRangeException() {
		ArrayRangeException are("Ops !", 0, 10, 20);
		TS_ASSERT_EQUALS(std::string(are.what()), std::string("Ops !"));
		TS_ASSERT_EQUALS(are.getMinRange(), 0);
		TS_ASSERT_EQUALS(are.getMaxRange(), 10);
		TS_ASSERT_EQUALS(are.getWrongRange(), 20);
	}

};

#endif /*TESTARRAYRANGEEXCEPTION_H_*/
